#!/system/bin/busybox sh

CUSTOM_DIR='/system/lib'				# User specified files.

EXEC_STATUS='sys.pzdf.exec.status'
SET_PROP_CMD='/system/bin/setprop'

echo "**********************" >> /data/logs/update.log

$SET_PROP_CMD $EXEC_STATUS "安装SD卡挂载补丁 ..."

# Update voluem manager tool.
if [ -f ${CUSTOM_DIR}/audio.primary.rk30board.so ] 
then
	busybox mv ${CUSTOM_DIR}/audio.primary.rk30board.so /system/lib/hw/
fi

[ -f /system/lib/hw/audio.primary.rk30board.so ] && chmod 644 /system/lib/hw/audio.primary.rk30board.so

sleep 3

sync
sync
sync

$SET_PROP_CMD $EXEC_STATUS "SD卡挂载补丁安装完成！"
echo "SD卡挂载补丁安装完成！" >> /data/logs/update.log
